Class | Chef::Resource::Service
In: | lib/chef/resource/service.rb
Parent: | Chef::Resource

### Methods

enabled new pattern priority reload_command restart_command running service_name start_command startup_type status_command stop_command supports

### Public Class methods

new(name, run_context=nil)

### Public Instance methods

enabled(arg=nil)

if the service is enabled or not

pattern(arg=nil)

regex for match against ps -ef when !supports[:has_status] && status == nil

priority(arg=nil)

Priority arguments can have two forms:

- a simple number, in which the default start runlevels get that as the start value and stop runlevels get 100 - value.
- a hash like { 2 => [:start, 20], 3 => [:stop, 55] }, where the service will be marked as started with priority 20 in runlevel 2, stopped in 3 with priority 55 and no symlinks or similar for other runlevels

reload_command(arg=nil)
restart_command(arg=nil)

command to call to restart service

running(arg=nil)

if the service is running or not

service_name(arg=nil)
start_command(arg=nil)

command to call to start service

startup_type(arg=nil)

This attribute applies for Windows only.

status_command(arg=nil)

command to call to get status of service

stop_command(arg=nil)

command to call to stop service

supports(args={})

[Validate]